<div class="d-flex justify-content-between align-items-start flex-wrap mb-2">
  <div class="d-flex justify-content-start mb-2">
    <h3 class="d-flex align-items-center mb-0">
      <a class="btn btn-light d-flex align-items-center mr-2" style="font-size: 18px" (click)="goBack()">
        <i class="fa fa-chevron-left" aria-hidden="true"></i>
      </a>
      Amenities
    </h3>
  </div>
  <div class="d-flex justify-content-end mb-2">
    <button class="btn btn-primary " style="font-size: 18px" (click)="save()">Save</button>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <section class="widget" widget>
      <header>
        <h6>
          Amenity information
        </h6>
        <div class="widget-controls">
          <a data-widgster="collapse" title="Collapse">
            <i class="la la-angle-up"></i>
          </a>
          <a data-widgster="expand" title="Expand">
            <i class="la la-angle-down"></i>
          </a>
        </div>
      </header>
      <div class="widget-body">
        <fieldset>
          <form [formGroup]="amenity">
            <div class="row">
              <div class="form-group col-md-12 col-lg-6 row">
                <label for="normal-name" class="col-md-4  col-form-label text-md-right">Name</label>
                <div class="col-md-7 ">
                  <input type="text" id="normal-name" formControlName="name" class="form-control" placeholder="">
                </div>
              </div>
              <div class="form-group col-md-12 col-lg-6 row">
                <label for="normal-category" class="col-md-4  col-form-label text-md-right">Category</label>
                <div class="col-md-7 ">
                  <input type="text" id="normal-category" formControlName="category" class="form-control" placeholder="">
                </div>
              </div>
              <div class="form-group col-md-12 col-lg-6 row">
                <label for="normal-title" class="col-md-4  col-form-label text-md-right">Title</label>
                <div class="col-md-7 ">
                  <input type="text" id="normal-title" formControlName="title" class="form-control" placeholder="">
                </div>
              </div>
            </div>
          </form>
          <div class="d-flex justify-content-center mt-3">
            <button class="btn btn-outline-secondary mr-2" [disabled]="!amenity.valid" (click)="add()">Add</button>
            <button *ngIf="lookup_selected" class="btn btn-outline-secondary mr-2" [disabled]="!amenity.valid"
              (click)="update()">Edit</button>
            <button class="btn btn-outline-secondary" (click)="clear()">Clear</button>
          </div>
        </fieldset>
      </div>
    </section>
    <section class="widget" widget>
      <header>
        <h6>
          List of amenities
        </h6>
        <div class="widget-controls">
          <a data-widgster="collapse" title="Collapse">
            <i class="la la-angle-up"></i>
          </a>
          <a data-widgster="expand" title="Expand">
            <i class="la la-angle-down"></i>
          </a>
        </div>
      </header>
      <div class="widget-body">
        <fieldset>
          <div class="table-responsive">
            <table *ngIf="lookup_data.length > 0" class="table table-hover">
              <thead>
                <tr>
                  <th style="width: 52px;"></th>
                  <th>Name</th>
                  <th>Category</th>
                  <th>Title</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let amenity of lookup_data; let i = index" (click)="edit(i)">
                  <td>
                    <span>
                      <i class="glyphicon glyphicon-remove-circle text-danger" (click)="delete()"></i>
                    </span>
                  </td>
                  <td>{{amenity.name}}</td>
                  <td>{{amenity.category}}</td>
                  <td>{{amenity.title}}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </fieldset>
      </div>
    </section>
  </div>
</div>

<div class="d-flex justify-content-center mb-2">
  <button class="btn btn-primary " style="font-size: 18px" (click)="save()">Save</button>
</div>